<template>
  <nav class="nav">
    <router-link
      :to="{ name: 'choosePlan'}"
      class="nav__link"
      :class="{ 'nav__link--active': $route.name === 'choosePlan'}"
    >Tab 1</router-link>
    <router-link
      :to="{ name: 'chooseExtras'}"
      class="nav__link"
      :class="{ 'nav__link--active': $route.name === 'chooseExtras'}"
    >Tab 2</router-link>
  </nav>
</template>

<script>
export default {
  name: 'Navigation',
};
</script>

<style lang="scss" scoped>
.nav {
  display: flex;
  justify-content: flex-end;
  padding: 0 25px;
  background-color: white;
  box-shadow: $primary-box-shadow;
}

.nav__link {
  @include font-roboto-slab(null, $primary-light);
  position: relative;
  bottom: -0.5px; // so it matches parent's box shadow
  padding: 10px 35px;
  transition: color 0.2s ease-in-out, border-color 0.2s ease-in-out;
  border-bottom: 2px solid transparent;

  &--active {
    border-color: $primary-dark;
    color: $primary-dark;
  }
}
</style>
